"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.startPresenceService = void 0;
const utils_1 = require("../utils");
const Client_types_1 = require("./Client.types");
const setPresence = (client, presence) => {
    client.user.setPresence({
        status: presence.status,
        activities: [presence]
    });
};
const startPresenceAutoUpdate = (client, presence) => {
    const { activities, presenceUpdateFrequency, updateOrder } = presence;
    const randomPosition = Math.floor(Math.random() * activities.length);
    const actualPresence = {
        arrayPosition: randomPosition,
        activity: activities[randomPosition]
    };
    setInterval(async () => {
        if (updateOrder === Client_types_1.EPresenceUpdateStatus.OriginalOrder) {
            const { element, newPosition } = (0, utils_1.getNextArrayElement)(activities, actualPresence.arrayPosition);
            actualPresence.arrayPosition = newPosition;
            actualPresence.activity = element;
        }
        else if (updateOrder === Client_types_1.EPresenceUpdateStatus.Random) {
            const { element, position } = (0, utils_1.getRandomArrayUniqueElement)(activities, actualPresence.activity, '_id');
            actualPresence.arrayPosition = position;
            actualPresence.activity = element;
        }
        setPresence(client, actualPresence.activity);
    }, presenceUpdateFrequency);
};
const startPresenceService = (client, presence) => {
    const firstPresence = presence.activities[0];
    setPresence(client, firstPresence);
    if (presence.activities.length > 0)
        startPresenceAutoUpdate(client, presence);
};
exports.startPresenceService = startPresenceService;
