import { Command } from '../Commands';
export { ErrorMessages } from './Error';
export declare enum ETerminalColors {
    Reset = "\u001B[0m",
    Black = "\u001B[30m",
    Red = "\u001B[31m",
    Green = "\u001B[32m",
    Yellow = "\u001B[33m",
    Blue = "\u001B[34m",
    Magenta = "\u001B[35m",
    Cyan = "\u001B[36m",
    White = "\u001B[37m",
    BrightBlack = "\u001B[30;1m",
    BrightRed = "\u001B[31;1m",
    BrightGreen = "\u001B[32;1m",
    BrightYellow = "\u001B[33;1m",
    BrightBlue = "\u001B[34;1m",
    BrightMagenta = "\u001B[35;1m",
    BrightOrange = "\u001B[38;5;202m",
    BrightCyan = "\u001B[36;1m",
    BrightWhite = "\u001B[37;1m",
    Orange = "\u001B[38;5;208m",
    Maroon = "\u001B[38;5;52m"
}
export declare const debug: (text: string) => void;
export declare const debugError: (errorMessage: string) => never;
export declare const highlight: (text: string | number, color?: ETerminalColors) => string;
export declare const debugSuccess: (message: string) => void;
export declare const debugBot: (message: string) => void;
export declare const debugCommand: (message: string) => void;
export declare const debugEvent: (message: string) => void;
export declare const debugInfo: (message: string) => void;
export declare const debugCommandLoaded: (command: Command) => void;
export declare const debugEventLoaded: (event: any) => void;
