"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.debugEventLoaded = exports.debugCommandLoaded = exports.debugInfo = exports.debugEvent = exports.debugCommand = exports.debugBot = exports.debugSuccess = exports.highlight = exports.debugError = exports.debug = exports.ETerminalColors = exports.ErrorMessages = void 0;
const Error_1 = __importDefault(require("./Error"));
var Error_2 = require("./Error");
Object.defineProperty(exports, "ErrorMessages", { enumerable: true, get: function () { return Error_2.ErrorMessages; } });
var ETerminalColors;
(function (ETerminalColors) {
    ETerminalColors["Reset"] = "\u001B[0m";
    ETerminalColors["Black"] = "\u001B[30m";
    ETerminalColors["Red"] = "\u001B[31m";
    ETerminalColors["Green"] = "\u001B[32m";
    ETerminalColors["Yellow"] = "\u001B[33m";
    ETerminalColors["Blue"] = "\u001B[34m";
    ETerminalColors["Magenta"] = "\u001B[35m";
    ETerminalColors["Cyan"] = "\u001B[36m";
    ETerminalColors["White"] = "\u001B[37m";
    ETerminalColors["BrightBlack"] = "\u001B[30;1m";
    ETerminalColors["BrightRed"] = "\u001B[31;1m";
    ETerminalColors["BrightGreen"] = "\u001B[32;1m";
    ETerminalColors["BrightYellow"] = "\u001B[33;1m";
    ETerminalColors["BrightBlue"] = "\u001B[34;1m";
    ETerminalColors["BrightMagenta"] = "\u001B[35;1m";
    ETerminalColors["BrightOrange"] = "\u001B[38;5;202m";
    ETerminalColors["BrightCyan"] = "\u001B[36;1m";
    ETerminalColors["BrightWhite"] = "\u001B[37;1m";
    ETerminalColors["Orange"] = "\u001B[38;5;208m";
    ETerminalColors["Maroon"] = "\u001B[38;5;52m";
})(ETerminalColors || (exports.ETerminalColors = ETerminalColors = {}));
const debug = (text) => console.debug(text);
exports.debug = debug;
const debugError = (errorMessage) => {
    throw new Error_1.default(errorMessage);
};
exports.debugError = debugError;
const highlight = (text, color = ETerminalColors.BrightYellow) => `${color}${text}${ETerminalColors.BrightWhite}`;
exports.highlight = highlight;
const debugSuccess = (message) => (0, exports.debug)(`${ETerminalColors.BrightGreen}ÉXITO:${ETerminalColors.BrightWhite} ${message} ${ETerminalColors.Reset}`);
exports.debugSuccess = debugSuccess;
const debugBot = (message) => (0, exports.debug)(`${ETerminalColors.BrightCyan}BOT:${ETerminalColors.BrightWhite} ${message} ${ETerminalColors.Reset}`);
exports.debugBot = debugBot;
const debugCommand = (message) => (0, exports.debug)(`${ETerminalColors.BrightOrange}COMANDO:${ETerminalColors.BrightWhite} ${message}${ETerminalColors.Reset}`);
exports.debugCommand = debugCommand;
const debugEvent = (message) => (0, exports.debug)(`${ETerminalColors.BrightYellow}EVENTO:${ETerminalColors.BrightWhite} ${message}${ETerminalColors.Reset}`);
exports.debugEvent = debugEvent;
const debugInfo = (message) => (0, exports.debug)(`${ETerminalColors.BrightBlue}INFORMACIÓN:${ETerminalColors.BrightWhite} ${message}${ETerminalColors.Reset}`);
exports.debugInfo = debugInfo;
const debugCommandLoaded = (command) => (0, exports.debug)(`${ETerminalColors.BrightOrange}COMANDO:${ETerminalColors.BrightWhite} ${(0, exports.highlight)(command.name)} cargado. | [${(0, exports.highlight)(command.options.length)}] Opción(es) cargada(s) | [${(0, exports.highlight)(command.subcommands.length)}] Subcomando(s) cargado(s) | [${(0, exports.highlight)(command.subcommandsGroup.length)}] Grupo Subcommando(s) cargado(s)${ETerminalColors.Reset}`);
exports.debugCommandLoaded = debugCommandLoaded;
const debugEventLoaded = (event) => (0, exports.debug)(`${ETerminalColors.BrightYellow}EVENTO:${ETerminalColors.BrightWhite} ${(0, exports.highlight)(event.name, ETerminalColors.BrightMagenta)} cargado ${ETerminalColors.Reset}`);
exports.debugEventLoaded = debugEventLoaded;
