import { Client as DiscordClient, type ClientEvents } from 'discord.js';
export interface IEvent<K> {
    /**
     * Nombre del evento
     */
    name: K;
    /**
     * Establecer función a ejecutar cuando el evento sea invocado
     * @param client Cliente de Discord
     * @param {ClientEvents[K]} args Argumentos del evento
     */
    execute: (client: DiscordClient<true>, ...args: ClientEvents[K]) => void;
}
