import type { IEvent } from "./Events.types";
import { type ClientEvents, Client as DiscordClient } from "discord.js";
export default class Event<K extends keyof ClientEvents> {
    private _name;
    private _execute;
    get name(): K;
    get execute(): (client: DiscordClient<true>, ...args: ClientEvents[K]) => void;
    /**
     * Crear nueva instancia de un evento para el cliente Discord
     * @param options Opciones del evento
     */
    constructor(options?: IEvent<K>);
    /**
     * Establecer nombre del evento
     * @param name Nombre del evento a ejecutar
     */
    setName<E extends keyof ClientEvents>(name: E): {
        /**
         * Establecer función a ejecutar cuando el evento sea invocado
         * @param execute Función a ejecutar
         */
        setExecute: (execute: (client: DiscordClient<true>, ...args: ClientEvents[E]) => void) => void;
    };
}
