"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isInstanceOfTCommandOptions = exports.validateCommandOptions = exports.getNextArrayElement = exports.getRandomArrayUniqueElement = exports.stringPropertyAreValid = exports.getFiles = void 0;
const fs_1 = __importDefault(require("fs"));
const path_1 = require("path");
const getFiles = (dir, fileExtensions) => {
    const files = [];
    const fileNames = fs_1.default.readdirSync(dir);
    for (const fileName of fileNames) {
        const filePath = (0, path_1.join)(dir, fileName);
        const stat = fs_1.default.statSync(filePath);
        if (stat.isFile()) {
            const fileExtension = (0, path_1.extname)(filePath);
            if (fileExtensions.includes(fileExtension))
                files.push(filePath);
        }
        else if (stat.isDirectory()) {
            const subfolderFiles = (0, exports.getFiles)(filePath, fileExtensions);
            files.push(...subfolderFiles);
        }
    }
    return files;
};
exports.getFiles = getFiles;
const stringPropertyAreValid = (text) => {
    if (typeof text !== 'string')
        return false;
    if (text.length === 0)
        return false;
    return true;
};
exports.stringPropertyAreValid = stringPropertyAreValid;
const getRandomArrayUniqueElement = (array, previousElement, key) => {
    const filteredArray = array.filter((obj) => obj[key] !== previousElement[key]);
    const randomPosition = Math.floor(Math.random() * filteredArray.length);
    return {
        element: filteredArray[randomPosition],
        position: randomPosition
    };
};
exports.getRandomArrayUniqueElement = getRandomArrayUniqueElement;
const getNextArrayElement = (array, actualPosition) => {
    const arrayElement = array[actualPosition + 1];
    return {
        element: arrayElement ?? array[0],
        newPosition: arrayElement ? actualPosition + 1 : 0
    };
};
exports.getNextArrayElement = getNextArrayElement;
var Command_util_1 = require("./Command.util");
Object.defineProperty(exports, "validateCommandOptions", { enumerable: true, get: function () { return Command_util_1.validateCommandOptions; } });
Object.defineProperty(exports, "isInstanceOfTCommandOptions", { enumerable: true, get: function () { return Command_util_1.isInstanceOfTCommandOptions; } });
